Update Poll

Mostly how a poll is launched and closed.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pollIdstringRequired

Request

This endpoint expects an object.
typeenumOptional
questionstringOptional
statusenumOptional
allowMultiplebooleanOptional
isAnonymousbooleanOptional
ratingMaxintegerOptional
timeLimitSecintegerOptional
sortOrderintegerOptional

Response

This endpoint returns an object.
idstring
eventIdstring
typeenum
questionstring
statusenum
allowMultipleboolean
isAnonymousboolean
ratingMaxinteger
sortOrderinteger
optionslist of objects
createdAtdatetime
updatedAtdatetime
timeLimitSecintegerOptional
responseCountintegerOptional
launchedAtdatetimeOptional
closedAtdatetimeOptional

Errors

404
Not Found Error
422
Validation Error